### Method

# Gtk IconViewset_text_column

deprecated: 4.10

#### Declaration [src]

    void
    gtk_icon_view_set_text_column (
      GtkIconView* icon_view,
      int column
    )

#### Description [src]

Sets the column with text for `icon_view` to be `column`. The text column must be of type `G_TYPE_STRING`.

Deprecated since: 4.10

Use `GtkGridView` instead.

Sets property | `Gtk.IconView:text-column`

#### Parameters

`column`

  Type: `int`

  A column in the currently used model, or -1 to display no text.